%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  antaresProcessing
%global packver   0.18.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.18.3
Release:          1%{?dist}%{?buildtag}
Summary:          'Antares' Results Processing

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-antaresRead >= 1.1.5
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-methods 
BuildRequires:    R-stats 
Requires:         R-CRAN-antaresRead >= 1.1.5
Requires:         R-CRAN-data.table 
Requires:         R-methods 
Requires:         R-stats 

%description
Process results generated by 'Antares', a powerful open source software
developed by RTE (Réseau de Transport d’Électricité) to simulate and study
electric power systems (more information about 'Antares' here:
<https://github.com/AntaresSimulatorTeam/Antares_Simulator>). This package
provides functions to create new columns like net load, load factors,
upward and downward margins or to compute aggregated statistics like
economic surpluses of consumers, producers and sectors.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
